Reflection mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 System.Enum System.Flags System.Runtime.InteropServices.ComVisible(true)

This enumeration is used by the property.

Specifies flags for method attributes. These flags are defined in the corhdr.h file.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Abstract To be added.

  Indicates that the class does not provide an implementation of this method.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Assembly To be added.

  Indicates that the method is accessible to any class of this assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, CheckAccessOnOverride To be added.

  Indicates that the method can only be overridden when it is also accessible.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes FamANDAssem To be added.

  Indicates that the method is accessible to members of this type and its derived types that are in this assembly only.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Family To be added.

  Indicates that the method is accessible only to members of this class and its derived classes.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes FamORAssem To be added.

  Indicates that the method is accessible to derived classes anywhere, as well as to any class in the assembly.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Final To be added.

  Indicates that the method cannot be overridden.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, HasSecurity To be added.

  Indicates that the method has security associated with it. Reserved flag for runtime use only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes HideBySig To be added.

  Indicates that the method hides by name and signature; otherwise, by name only.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes MemberAccessMask To be added.

  Retrieves accessibility information.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes VtableLayoutMask To be added.

  Indicates that the method always gets a new slot in the vtable.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes PinvokeImpl To be added.

  Indicates that the method implementation is forwarded through PInvoke (Platform Invocation Services).

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Private To be added.

  Indicates that the method is accessible only to the current class.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot To be added.

  Indicates that the member cannot be referenced.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Public To be added.

  Indicates that the method is accessible to any object for which this object is in scope.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, RequireSecObject To be added.

  Indicates that the method calls another method containing security code. Reserved flag for runtime use only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, ReservedMask To be added.

  Indicates a reserved flag for runtime use only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot To be added.

  Indicates that the method will reuse an existing slot in the vtable. This is the default behavior.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, RTSpecialName To be added.

  Indicates that the common language runtime checks the name encoding.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes SpecialName To be added.

  Indicates that the method is special. The name describes how this method is special.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Static To be added.

  Indicates that the method is defined on the type; otherwise, it is defined per instance.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes ReuseSlot, UnmanagedExport To be added.

  Indicates that the managed method is exported by thunk to unmanaged code.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes Virtual To be added.

  Indicates that the method is virtual.

  0
- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Reflection.MethodAttributes VtableLayoutMask To be added.

  Retrieves vtable attributes.

  0
0